pydo.droplet_actions.get()

Generated on 8 May 2026 from pydo version v0.34.0

Usage

client.droplet_actions.get(droplet_id=3164444, action_id=36804636)
Returns JSONRaises HttpResponseError

Description

To retrieve a Droplet action, send a GET request to /v2/droplets/{droplet_id}/actions/{action_id}.

The response will be a JSON object with a key called action. The value will be a Droplet action object.

Parameters

droplet_id integer required

A unique identifier for a Droplet instance.

Min: 1

action_id integer required

A unique numeric ID that can be used to identify and reference an action.

Min: 1

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

resp = client.droplet_actions.get(droplet_id=3934132, action_id=2432342)

Response Example

Show Response Example
{
  "action": {
    "id": 36804636,
    "status": "completed",
    "type": "create",
    "started_at": "2020-11-14T16:29:21Z",
    "completed_at": "2020-11-14T16:30:06Z",
    "resource_id": 3164444,
    "resource_type": "droplet",
    "region": {
      "name": "New York 3",
      "slug": "nyc3",
      "features": [
        "private_networking",
        "backups",
        "ipv6",
        "metadata",
        "install_agent",
        "storage",
        "image_transfer"
      ],
      "available": true,
      "sizes": [
        "s-1vcpu-1gb",
        "s-1vcpu-2gb",
        "s-1vcpu-3gb",
        "s-2vcpu-2gb",
        "s-3vcpu-1gb",
        "s-2vcpu-4gb",
        "s-4vcpu-8gb",
        "s-6vcpu-16gb",
        "s-8vcpu-32gb",
        "s-12vcpu-48gb",
        "s-16vcpu-64gb",
        "s-20vcpu-96gb",
        "s-24vcpu-128gb",
        "s-32vcpu-192g"
      ]
    },
    "region_slug": "nyc3"
  }
}

More Information

See /v2/droplets/{droplet_id}/actions/{action_id} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.